| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::DorisHeader Class Reference

Class to store DORIS navigator files header. More...

List of all members.

## Public Member Functions
| DorisHeader ()
| Empty constructor.
| DorisHeader (string fileNam, string senStart, string sensStop, long relOrbi, long absOrbi, double delta_Ut1, string leap_Utc, int leap_Sign, int leap_Err, long num_Dsd, long ds_Offset, long num_Dsr)
| Constructor with parameters that are read from file.
| DorisHeader (string fileNam, string sensStart, string sensStop, long relOrbi, long absOrbi, double delta_Ut1, string leap_Utc, int leap_Sign, int leap_Err, long num_Dsd, long ds_Offset, long num_Dsr, string procStageCod, string ref_Doc, string procTim, string softVersion, string phaseIn, long cycleIn, string stateVectorTim, double xPos, double yPos, double zPos, double xVel, double yVel, double zVel, string stateVectSource, string prodErr, long tot_Size, long numDataSet, string sphDesc, string sensStartTai, long absOrbStart, double relTimAscNodeStart, string sensStopTai, long absOrbStop, double relTimAscNodeStop, string equator_CrossTime, long equator_CrossLong, string ascendFlag, long start_Lat, long start_Long, long stop_Lat, long stop_Long, long num_Isps, long numMissIsps, long numErrIsps, long numDiscardIsps, long num_RsIsps, long num_RsCorrections, long dsr_Size)
| Constructor with all parameters.
## Public Attributes
string | fileName
string | sensingStart
string | sensingStop
long | relOrbit
long | absOrbit
double | deltaUt1
string | leapUtc
int | leapSign
int | leapErr
long | numDsd
long | dsOffset
long | numDsr
string | procStageCode
string | refDoc
string | procTime
string | softwareVersion
string | phase
long | cycle
string | stateVectorTime
double | xPosition
double | yPosition
double | zPosition
double | xVelocity
double | yVelocity
double | zVelocity
string | stateVectorSource
string | productErr
long | totSize
long | numDataSets
string | sphDescriptor
string | sensingStartTai
long | absOrbitStart
double | relTimeAscNodeStart
string | sensingStopTai
long | absOrbitStop
double | relTimeAscNodeStop
string | equatorCrossTime
long | equatorCrossLong
string | ascendingFlag
long | startLat
long | startLong
long | stopLat
long | stopLong
long | numIsps
long | numMissingIsps
long | numErrorIsps
long | numDiscardedIsps
long | numRsIsps
long | numRsCorrections
long | dsrSize

## Detailed Description

Class to store DORIS navigator files header.

## Constructor & Destructor Documentation

EECFI::DorisHeader::DorisHeader | ( |  | ) |

Empty constructor.

EECFI::DorisHeader::DorisHeader | ( | string | fileNam,
|  | string | senStart,
|  | string | sensStop,
|  | long | relOrbi,
|  | long | absOrbi,
|  | double | delta_Ut1,
|  | string | leap_Utc,
|  | int | leap_Sign,
|  | int | leap_Err,
|  | long | num_Dsd,
|  | long | ds_Offset,
|  | long | num_Dsr |
| ) |  |  |

Constructor with parameters that are read from file.

References absOrbit, absOrbitStart, absOrbitStop, ascendingFlag, cycle, deltaUt1, dsOffset, dsrSize, equatorCrossLong, equatorCrossTime, fileName, leapErr, leapSign, leapUtc, numDataSets, numDiscardedIsps, numDsd, numDsr, numErrorIsps, numIsps, numMissingIsps, numRsCorrections, numRsIsps, phase, procStageCode, procTime, productErr, refDoc, relOrbit, relTimeAscNodeStart, relTimeAscNodeStop, sensingStart, sensingStartTai, sensingStop, sensingStopTai, softwareVersion, sphDescriptor, startLat, startLong, stateVectorSource, stateVectorTime, stopLat, stopLong, totSize, xPosition, xVelocity, yPosition, yVelocity, zPosition, and zVelocity.

EECFI::DorisHeader::DorisHeader | ( | string | fileNam,
|  | string | sensStart,
|  | string | sensStop,
|  | long | relOrbi,
|  | long | absOrbi,
|  | double | delta_Ut1,
|  | string | leap_Utc,
|  | int | leap_Sign,
|  | int | leap_Err,
|  | long | num_Dsd,
|  | long | ds_Offset,
|  | long | num_Dsr,
|  | string | procStageCod,
|  | string | ref_Doc,
|  | string | procTim,
|  | string | softVersion,
|  | string | phaseIn,
|  | long | cycleIn,
|  | string | stateVectorTim,
|  | double | xPos,
|  | double | yPos,
|  | double | zPos,
|  | double | xVel,
|  | double | yVel,
|  | double | zVel,
|  | string | stateVectSource,
|  | string | prodErr,
|  | long | tot_Size,
|  | long | numDataSet,
|  | string | sphDesc,
|  | string | sensStartTai,
|  | long | absOrbStart,
|  | double | relTimAscNodeStart,
|  | string | sensStopTai,
|  | long | absOrbStop,
|  | double | relTimAscNodeStop,
|  | string | equator_CrossTime,
|  | long | equator_CrossLong,
|  | string | ascendFlag,
|  | long | start_Lat,
|  | long | start_Long,
|  | long | stop_Lat,
|  | long | stop_Long,
|  | long | num_Isps,
|  | long | numMissIsps,
|  | long | numErrIsps,
|  | long | numDiscardIsps,
|  | long | num_RsIsps,
|  | long | num_RsCorrections,
|  | long | dsr_Size |
| ) |  |  |

Constructor with all parameters.

References absOrbit, absOrbitStart, absOrbitStop, ascendingFlag, cycle, deltaUt1, dsOffset, dsrSize, equatorCrossLong, equatorCrossTime, fileName, leapErr, leapSign, leapUtc, numDataSets, numDiscardedIsps, numDsd, numDsr, numErrorIsps, numIsps, numMissingIsps, numRsCorrections, numRsIsps, phase, procStageCode, procTime, productErr, refDoc, relOrbit, relTimeAscNodeStart, relTimeAscNodeStop, sensingStart, sensingStartTai, sensingStop, sensingStopTai, softwareVersion, sphDescriptor, startLat, startLong, stateVectorSource, stateVectorTime, stopLat, stopLong, totSize, xPosition, xVelocity, yPosition, yVelocity, zPosition, and zVelocity.

## Member Data Documentation

long EECFI::DorisHeader::absOrbit

Referenced by DorisHeader().

long EECFI::DorisHeader::absOrbitStart

Referenced by DorisHeader().

long EECFI::DorisHeader::absOrbitStop

Referenced by DorisHeader().

string EECFI::DorisHeader::ascendingFlag

Referenced by DorisHeader().

long EECFI::DorisHeader::cycle

Referenced by DorisHeader().

double EECFI::DorisHeader::deltaUt1

Referenced by DorisHeader().

long EECFI::DorisHeader::dsOffset

Referenced by DorisHeader().

long EECFI::DorisHeader::dsrSize

Referenced by DorisHeader().

long EECFI::DorisHeader::equatorCrossLong

Referenced by DorisHeader().

string EECFI::DorisHeader::equatorCrossTime

Referenced by DorisHeader().

string EECFI::DorisHeader::fileName

Referenced by DorisHeader().

int EECFI::DorisHeader::leapErr

Referenced by DorisHeader().

int EECFI::DorisHeader::leapSign

Referenced by DorisHeader().

string EECFI::DorisHeader::leapUtc

Referenced by DorisHeader().

long EECFI::DorisHeader::numDataSets

Referenced by DorisHeader().

long EECFI::DorisHeader::numDiscardedIsps

Referenced by DorisHeader().

long EECFI::DorisHeader::numDsd

Referenced by DorisHeader().

long EECFI::DorisHeader::numDsr

Referenced by DorisHeader().

long EECFI::DorisHeader::numErrorIsps

Referenced by DorisHeader().

long EECFI::DorisHeader::numIsps

Referenced by DorisHeader().

long EECFI::DorisHeader::numMissingIsps

Referenced by DorisHeader().

long EECFI::DorisHeader::numRsCorrections

Referenced by DorisHeader().

long EECFI::DorisHeader::numRsIsps

Referenced by DorisHeader().

string EECFI::DorisHeader::phase

Referenced by DorisHeader().

string EECFI::DorisHeader::procStageCode

Referenced by DorisHeader().

string EECFI::DorisHeader::procTime

Referenced by DorisHeader().

string EECFI::DorisHeader::productErr

Referenced by DorisHeader().

string EECFI::DorisHeader::refDoc

Referenced by DorisHeader().

long EECFI::DorisHeader::relOrbit

Referenced by DorisHeader().

double EECFI::DorisHeader::relTimeAscNodeStart

Referenced by DorisHeader().

double EECFI::DorisHeader::relTimeAscNodeStop

Referenced by DorisHeader().

string EECFI::DorisHeader::sensingStart

Referenced by DorisHeader().

string EECFI::DorisHeader::sensingStartTai

Referenced by DorisHeader().

string EECFI::DorisHeader::sensingStop

Referenced by DorisHeader().

string EECFI::DorisHeader::sensingStopTai

Referenced by DorisHeader().

string EECFI::DorisHeader::softwareVersion

Referenced by DorisHeader().

string EECFI::DorisHeader::sphDescriptor

Referenced by DorisHeader().

long EECFI::DorisHeader::startLat

Referenced by DorisHeader().

long EECFI::DorisHeader::startLong

Referenced by DorisHeader().

string EECFI::DorisHeader::stateVectorSource

Referenced by DorisHeader().

string EECFI::DorisHeader::stateVectorTime

Referenced by DorisHeader().

long EECFI::DorisHeader::stopLat

Referenced by DorisHeader().

long EECFI::DorisHeader::stopLong

Referenced by DorisHeader().

long EECFI::DorisHeader::totSize

Referenced by DorisHeader().

double EECFI::DorisHeader::xPosition

Referenced by DorisHeader().

double EECFI::DorisHeader::xVelocity

Referenced by DorisHeader().

double EECFI::DorisHeader::yPosition

Referenced by DorisHeader().

double EECFI::DorisHeader::yVelocity

Referenced by DorisHeader().

double EECFI::DorisHeader::zPosition

Referenced by DorisHeader().

double EECFI::DorisHeader::zVelocity

Referenced by DorisHeader().